### Class

# EDataServer SourceAlarms

since: 3.6

#### Description [src]

    class EDataServer.SourceAlarms : EDataServer.SourceExtension
    {
      /* No available fields */
    }

Contains only private data that should be read and manipulated using the functions below.

Available since: 3.6

#### Hierarchy

#### Ancestors

- ESourceExtension
- GObject

#### Instance methods

###### e_source_alarms_dup_last_notified

Thread-safe variation of e_source_alarms_get_last_notified(). Use this function when accessing `extension` from multiple threads.

since: 3.6

###### e_source_alarms_get_for_every_event

Returns whether the user should be alerted about all upcoming appointments in the calendar described by the `ESource` to which `extension` belongs.

since: 3.52

###### e_source_alarms_get_include_me

Returns whether the user should be alerted about upcoming appointments in the calendar described by the `ESource` to which `extension` belongs.

since: 3.6

###### e_source_alarms_get_last_notified

Returns an ISO 8601 formatted timestamp of when the user was last alerted about an upcoming appointment in the calendar described by the `ESource` to which `extension` belongs. If no valid timestamp has been set, the function will return `NULL`.

since: 3.6

###### e_source_alarms_set_for_every_event

Sets whether the user should be alerted about every event in the calendar described by the `ESource` to which `extension` belongs.

since: 3.52

###### e_source_alarms_set_include_me

Sets whether the user should be alerted about upcoming appointments in the calendar described by the `ESource` to which `extension` belongs.

since: 3.6

###### e_source_alarms_set_last_notified

Sets an ISO 8601 formatted timestamp of when the user was last alerted about an upcoming appointment in the calendar described by the `ESource` to which `extension` belongs.

since: 3.6

##### Methods inherited from ESourceExtension (4)

###### e_source_extension_get_source

Returns the `ESource` instance to which `extension` belongs.

deprecated: 3.8 since: 3.6

###### e_source_extension_property_lock

Acquires a property lock, thus no other thread can change properties of the `extension` until the lock is released.

since: 3.18

###### e_source_extension_property_unlock

Releases a property lock, previously acquired with e_source_extension_property_lock(), thus other threads can change properties of the `extension`.

since: 3.18

###### e_source_extension_ref_source

Returns the `ESource` instance to which the `extension` belongs.

since: 3.8

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### EDataServer.SourceAlarms:for-every-event

Show a notification before every event in this source.

###### EDataServer.SourceAlarms:include-me

Include this source in alarm notifications.

###### EDataServer.SourceAlarms:last-notified

Last alarm notification (in ISO 8601 format).

##### Properties inherited from ESourceExtension (1)

###### EDataServer.SourceExtension:source

The `ESource` being extended.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct EDataServerSourceAlarmsClass {
      ESourceExtensionClass parent_class;

    }

No description available.

###### Class members

`parent_class: ESourceExtensionClass`

  No description available.